

%define major_krdccore 5
%define libkrdccore %mklibname krdccore %{major_krdccore}
%define kf5krdc_devel %mklibname kf5krdc -d

Name:           krdc
Summary:        KDE Remote Desktop Client
Group:          Graphical desktop/KDE5
Version: 		23.08.5
Release:        %mkrel 1
URL: http://www.kde.org/applications/internet/krdc/
License:        GPLv2 LGPLv2 GFDL
Source0:        http://download.kde.org/stable/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  %{_lib}kf5configwidgets-devel
BuildRequires:  %{_lib}kf5kcmutils-devel
BuildRequires:  %{_lib}kf5kdnssd-devel
BuildRequires:  %{_lib}kf5notifyconfig-devel
BuildRequires:  %{_lib}kf5notifications-devel
BuildRequires:  %{_lib}kf5bookmarks-devel
BuildRequires:  %{_lib}kf5iconthemes-devel
BuildRequires:  %{_lib}kf5xmlgui-devel
BuildRequires:  %{_lib}kf5completion-devel
BuildRequires:  %{_lib}kf5wallet-devel
BuildRequires:  %{_lib}kf5widgetsaddons-devel
BuildRequires:  %{_lib}kf5i18n-devel
BuildRequires:  %{_lib}kdoctools-devel

BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5gui-devel

BuildRequires:  libvncserver-devel
BuildRequires:  freerdp

Requires: freerdp

%description
KDE Remote Desktop Client is a client application that allows you to view or
even control the desktop session on another machine that is running a compatible
server. VNC and RDP are supported.

%files
%exclude %_kf5_docdir/HTML
%_kf5_bindir
%_kf5_datadir
%_kf5_libdir/libkrdccore.so.*
%_kf5_libdir/qt5/plugins

%package -n krdc-handbook
Summary: KRDC Handbook
Requires:  %name
BuildArch: noarch
Group: Documentation

%description -n krdc-handbook
This package provides KRDC Handbook

%files -n krdc-handbook
%_kf5_docdir/HTML

#------------------------------------------------------------------------------

%package -n %{kf5krdc_devel}
Summary:        Devel stuff for %{name}
Group:          Development/Libraries
Requires:       %name

%description -n %{kf5krdc_devel}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{kf5krdc_devel}
%_kf5_libdir/*.so
%_includedir/krdc
%_includedir/*.h

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"

%cmake_kf5 -GNinja
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-RemoteAccess" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

